Bug 140575 - kickstart over serial asks for keyboard type
Summary: kickstart over serial asks for keyboard type
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-23 18:12 UTC by Matthew Kent
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 21:09:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Kent 2004-11-23 18:12:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040917 Firefox/0.9.3

Description of problem:
I'm experiencing the same problem described here
https://listman.redhat.com/archives/kickstart-list/2004-November/msg00089.html
whereas I have 'keyboard us' in my kickstart config yet am prompted to
pick a keyboard type during the install. 

This only happens on serial installs, text and graphical both go hands
free. 

As you might imagine this is a real annoyance when loading multiple
headless nodes.


Version-Release number of selected component (if applicable):
anaconda-10.1.0.2-1

How reproducible:
Always

Steps to Reproduce:
1. kickstart with the following options 
append ksdevice=eth0 console=tty0 console=ttyS0,19200 load_ramdisk=1
initrd=initrd-core3.img network
ks=nfs:172.16.0.18:/usr/kickstart/kickstart-server/ksvancouver.cfg
2. watch for the 'What type of keyboard do you have?' question
3. become annoyed :)

Actual Results:  Prompts for keyboard, upon selecting one it continues
the install hands free as it should.

Expected Results:  barring any configuration errors, pxe boot to post
install should be hands free.

Additional info:

Comment 1 Jeremy Katz 2004-11-25 04:53:58 UTC
Does it work if you add 'serial' to your kernel boot params?

Comment 2 Matthew Kent 2004-11-25 15:15:23 UTC
Yeah that works and I see the param is list here
http://www.redhat.com/docs/manuals/linux/RHL-9-Manual/install-guide/ch-bootopts.html
I've just never needed it before. Sorry bout that, and thanks for your
time.

Comment 3 Jeremy Katz 2004-11-25 21:09:38 UTC
Okay, will be fixed in FC4 then.


Note You need to log in before you can comment on or make changes to this bug.